Bug 819308 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pycoder_40live_2ede at 0x2a27410>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:0e0f4bf90d0df9b725153bd465e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 09:11 EDT by Di Milia Fabian
Modified: 2013-02-13 05:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:57:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Di Milia Fabian 2012-05-06 09:11:46 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
event_log:      2012-05-06-15:09:36> Smolt profile successfully saved
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.4-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pycoder_40live_2ede at 0x2a27410>
time:           Son 06 Mai 2012 14:54:37 CEST
uid:            500
username:       pycoder

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pycoder_40live_2ede at 0x2a27410>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pycoder_40live_2ede at 0x2a27410>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x2824110>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/pycoder_40live_2ede at 0x2a27410>

smolt_data:
:
:
:Allgemein
:=================================
:UUID: b02f2cbc-8c31-4c73-84c9-8732138c151c
:OS: Fedora release 16 (Verne)
:Standard-Runlevel: Unknown
:Sprache: de_CH.UTF-8
:Plattform: x86_64
:BogoMIPS: 4788.21
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM) i5 CPU       M 450  @ 2.40GHz
:CPU-Stepping: 5
:CPU Familie: 6
:CPU-Modellnummer: 37
:Anzahl der CPUs: 4
:CPU-Geschwindigkeit: 2400
:Systemspeicher: 3755
:System-Swap: 4092
:Anbieter: Hewlett-Packard
:System: HP Pavilion dv7 Notebook PC 049E100000243020000020000
:Form-Faktor: Notebook
:Kernel: 3.3.4-1.fc16.x86_64
:SELinux aktiviert: 0
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:68:4156:5276) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4156:5276) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:15152:4156:5276) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4156:5276) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4156:5276) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4156:5276) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(5772:43:4156:12352) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:15164:4156:5276) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4156:5276) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4156:5276) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:11521:4156:5276) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:4156:5276) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(4332:33128:4156:5276) pci, None, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:70:4156:5276) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4156:5276) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4156:5276) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4156:5276) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4156:5276) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4098:43616:4156:5276) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4098:26817:4156:5276) pci, None, VIDEO, Madison [AMD Radeon HD 5000M Series]
:(32902:11537:4156:5276) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:4156:5276) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:4156:5276) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:4156:5276) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-63ab75f2-99fd-48d6-b28e-f1935907bf3b / ext4 4096 4096 12784058 7605005 7477062 3203072 2453435 2453435
:/dev/sda1 /boot ext4 1024 1024 198760 111634 101595 50200 49915 49915
:/dev/mapper/luks-f6f293db-2b17-4e01-991d-fc0d9aaf5532 /home ext4 4096 4096 64168861 59478535 56266364 16064512 16042831 16042831
:/dev/mapper/realcrypt1 WITHHELD fuseblk 4096 4096 78116607 221547 221547 1639852 1305099 1305099
:
Comment 1 Fedora End Of Life 2013-01-16 06:34:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:58:01 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.